Bug 178640 - "ldap sync passwd" is not working anymore
"ldap sync passwd" is not working anymore
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-22 17:42 EST by Dmitri Toubelis
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitri Toubelis 2006-01-22 17:42:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)

Description of problem:
I'm running Samba PDC with ldap backend (openldap-2.0.27-20) to serve small development domain and I was uning "ldap passwd sync = Yes" in samba configuration file to synchronize unix passwords.

I used to be working just fine on RHEL3U2 with samba-3.0.2-6.3E but after upgrade to RHEL3U6 with samba-3.0.9-1.3E.5 it seized updating unix passwords in ldap.

As a workaround I falled back to using "unix password sync = Yes" and smbldap-passwd script, but I like the first option more.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup Samba PDC with openldap-2.0.27-20 for password backend
2. set option "ldap passwd sync = Yes"
3. Add a workstation to the domain (In my case it is Windows 2003 terminal server)
4. Change password
5. Make sure unix login is cinfigure with pam authentication against same ldap server.
6. Try to login to the same account using unix terminal using new password and the login should fail.

Actual Results:  Unix login fails.

Expected Results:  Unix login should succed.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:48:23 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.